<?php
if($argc < 3){
  exit("Wywołanie skryptu: php konwertuj.php nazwa_pliku poziom_kontrastu\n");
}

if(!$img = imagecreatefromjpeg($argv[1])){
  exit("Nie udało się wczytać pliku {$argv[1]}.\n");
}

if(!is_numeric($argv[2])){
  exit("Poziom kontrastu musi być liczbą całkowitą!\n");
}

if(!imagefilter($img, IMG_FILTER_CONTRAST, $argv[2])){
  exit("Nie udało się zmienić poziomu kontrastu w pliku {$argv[1]}.");
}

if(!imagejpeg($img, $argv[1])){
  exit("Wystąpił błąd podczas zapisu pliku {$argv[1]}.");
}

echo "Operacja zmiany kontrastu zakończona sukcesem!";
imagedestroy($img);
?>
